ApplePictParserInternal::Bitmap Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ApplePictParserInternal::Bitmap Struct Reference

Internal and low level: a class used to read pack/unpack black-white bitmap. More...

## Public Member Functions
| Bitmap ()
bool | unpackedData (unsigned char const *pData, int sz)
| creates the bitmap from the packdata More...
bool | readBitmapData (MWAWInputStream &input, bool packed)
| parses the bitmap data zone More...
bool | get (MWAWEmbeddedObject &picture) const
| returns the bitmap and the type More...

## Public Attributes
int | m_rowBytes
| the num of bytes used to store a row More...
MWAWBox2i | m_rect
| the bitmap rectangle More...
MWAWBox2i | m_src
| the initial dimension More...
MWAWBox2i | m_dst
| the final dimension More...
std::shared_ptr< Region > | m_region
| the region More...
std::vector< unsigned char > | m_bitmap
| the bitmap More...
int | m_mode
| the encoding mode ? More...

## Friends
std::ostream & | operator<< (std::ostream &o, Bitmap const &f)
| operator<< for Bitmap More...

## Detailed Description

Internal and low level: a class used to read pack/unpack black-white bitmap.

## Constructor & Destructor Documentation

## ◆ Bitmap()

ApplePictParserInternal::Bitmap::Bitmap | ( |  | ) |
| inline

## Member Function Documentation

## ◆ get()

bool ApplePictParserInternal::Bitmap::get | ( | MWAWEmbeddedObject & | picture | ) | const
| inline

returns the bitmap and the type

Referenced by ApplePictParser::drawBitmap().

## ◆ readBitmapData()

bool ApplePictParserInternal::Bitmap::readBitmapData | ( | MWAWInputStream & | input,
|  | bool | packed
| ) |  |
| inline

parses the bitmap data zone

Referenced by ApplePictParser::readBitmap().

## ◆ unpackedData()

bool ApplePictParserInternal::Bitmap::unpackedData | ( | unsigned char const * | pData,
|  | int | sz
| ) |  |
| inline

creates the bitmap from the packdata

Referenced by readBitmapData().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Bitmap const & | f
| ) |  |
| friend

operator<< for Bitmap

## Member Data Documentation

## ◆ m_bitmap

std::vector<unsigned char> ApplePictParserInternal::Bitmap::m_bitmap

the bitmap

Referenced by get(), readBitmapData(), and unpackedData().

## ◆ m_dst

MWAWBox2i ApplePictParserInternal::Bitmap::m_dst

the final dimension

Referenced by ApplePictParser::drawBitmap(), and ApplePictParser::readBitmap().

## ◆ m_mode

int ApplePictParserInternal::Bitmap::m_mode

the encoding mode ?

Referenced by ApplePictParser::readBitmap().

## ◆ m_rect

MWAWBox2i ApplePictParserInternal::Bitmap::m_rect

the bitmap rectangle

Referenced by ApplePictParser::drawBitmap(), get(), ApplePictParser::readBitmap(), and readBitmapData().

## ◆ m_region

std::shared_ptr<Region> ApplePictParserInternal::Bitmap::m_region

the region

Referenced by ApplePictParser::readBitmap().

## ◆ m_rowBytes

int ApplePictParserInternal::Bitmap::m_rowBytes

the num of bytes used to store a row

Referenced by get(), ApplePictParser::readBitmap(), readBitmapData(), and unpackedData().

## ◆ m_src

MWAWBox2i ApplePictParserInternal::Bitmap::m_src

the initial dimension

Referenced by ApplePictParser::readBitmap().

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx